# $Revision: 1.16 $, $Date: 2004/05/07 00:32:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Versions
Summary:	Sort::Versions Perl module
Summary(cs):	Modul Sort::Versions pro Perl
Summary(da):	Perlmodul Sort::Versions
Summary(de):	Sort::Versions Perl Modul
Summary(es):	Mdulo de Perl Sort::Versions
Summary(fr):	Module Perl Sort::Versions
Summary(it):	Modulo di Perl Sort::Versions
Summary(ja):	Sort::Versions Perl ⥸塼
Summary(ko):	Sort::Versions  
Summary(nb):	Perlmodul Sort::Versions
Summary(pl):	Modu perla Sort::Versions
Summary(pt_BR):	Mdulo Perl Sort::Versions
Summary(pt):	Mdulo de Perl Sort::Versions
Summary(ru):	  Perl Sort::Versions
Summary(sv):	Sort::Versions Perlmodul
Summary(uk):	  Perl Sort::Versions
Summary(zh_CN):	Sort::Versions Perl ģ
Name:		perl-Sort-Versions
Version:	1.5
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5434f948fdea6406851c77bebbd0ed19
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-SortVersions
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::Versions allows easy sorting of mixed non-numeric and numeric
strings, like the "version numbers" that many shared library systems
and revision control packages use.

%description -l pl
Modu Sort::Versions umoliwia atwe sortowanie acuchw zoonych z
przemieszanych znakw alfanumerycznych, takich jak numery wersji
bibliotek dzielonych lub numery rewizji uywanych przez programy typu
RCS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Sort/Versions.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sort-Versions.spec,v $
Revision 1.16  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.15  2004/05/06 18:21:04  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/02 05:32:04  ankry
- tests added, license fix

Revision 1.13  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2003/09/18 13:21:13  adamg
- updated to 1.5

Revision 1.11  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:02  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:17  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/22 21:41:16  ankry
- translations, cleaning
- added Changes to %%doc
- release 3

Revision 1.2  2002/07/21 00:25:50  kloczek
- release 2: rebuild for generate correct dependencies.

Revision 1.1  2002/07/20 16:24:54  qboosh
- renamed from perl-SortVersions.spec, updated to 1.4

Revision 1.16  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 20:52:06  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:33:55  depesz
adapterized

Revision 1.12  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:28  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 17:14:39  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
